notif = new Audio("../notify.wav")
i=document.pacieform.elements[0].value
if(i!="") {
                //document.pacieform.elements[15].readOnly=true
                fren=document.pacieform.elements[15].value
                a=fren.split("/")
                k=1
                if(a[1]=="02") k=-2
                if(a[1]=="04" || a[1]=="06" || a[1]=="09"|| a[1]=="11") k=0
		if(a[1]=="01")
		{

			if(a[0]=="30") k=0
			if(a[0]=="31") k=-1
		}
		calen(document.pacieform.elements[15].value);chng(1)

	for (i=1;i<nhd;i++) if (document.pacieform.elements[i].value!="") document.pacieform.elements[i].readOnly=true
	document.pacieform.elements[17].readOnly=false
	for (i=nhd+nrd*ncd;i<nhd+nrd*ncd+nrd*(ncd+1);i++) document.pacieform.elements[i].readOnly=true
	lev=tp*ncd
	for(i=0;i<nrd-1;i++) document.pacieform.elements[nhd+i*ncd+3+i+ncd*nrd].readOnly=false
} 
function dv(str)
{
        var a = new Array(0,2,3,4,5,6,7,2,3,4,5)
        var line = new Array()
        i=0
        j=0
        while(str.substr(i,1)!="")
        {
                l=str.substr(i,1)
                if (!isNaN(l) || l=="K"||l=="k")
                {
                        line[j]=l
                        j++
                        line[j]=0
                }
                i++
        }
        rut=""
        for (i=0;i<j;i++) rut=rut+line[i]
        for(i=j;i<9;i++) rut=0+rut
        rut=rut.substr(0,2)+"."+rut.substr(2,3)+"."+rut.substr(5,3)+"-"+rut.substr(8,1)
        dv1=line[j-1]
        if (dv1=='K' || dv1=='k') dv1=10
        line[j]=0
        lc=0
        for (i=1;i<j;i++) lc +=line[j-i-1]*a[i]
        dv2 =lc%11
        if (dv2 ) dv2 =11 - dv2
        if (dv1 == dv2) return (-1)
        else return(dv2)
}

function chng(x) {
if(x==1)
{
	if (document.pacieform.elements[1].value!="")
	document.pacieform.elements[1269].disabled = false
	else document.pacieform.elements[1269].disabled = true
        z=dv(document.pacieform.elements[1].value)
        if( document.pacieform.elements[1].value!= " ")
        if(z!= -1)
        {
                if(x==10) z="K"
                alert("DIGITO VERIFICADOR INVALIDO\nDEBERIA SER "+z)
                //alert("RUT INVALIDO")
                document.pacieform.elements[1].focus()
                document.pacieform.elements[1018].disabled = true
        }
        else
        {
                document.pacieform.elements[1018].disabled = false
                document.pacieform.elements[1].value=rut.toUpperCase()
        }
}
if(x==20){ 
y=x
x=document.pacieform.elements[y]
if(x.value=="" || x.value==" ") document.pacieform.elements[y+1].value=""
else document.pacieform.elements[y+1].value=tday()
}
if(x==18){
        r=document.pacieform.elements[x].value
        if(r=="" || r==" ") return
        sesion(x)
}
if(x==15) { 

                fren=document.pacieform.elements[15].value
                a=fren.split("/")
                k=1
                if(a[1]=="02") k=-2
                if(a[0]=="01" && (a[1]=="06" || a[1]=="09"|| a[1]=="11")) k=0
                if(a[1]=="04" || a[1]=="06" || a[1]=="09"|| a[1]=="11") k=0
		if(a[1]=="01")
		{

			if(a[0]=="30") k=0
			if(a[0]=="31") k=-1
		}
		calen(document.pacieform.elements[x].value) }
}
function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd+ncd;i++) if( document.pacieform.elements[i].value!="") fld=1
                if(fld==0) document.pacieform.elements[0].value=""
                document.pacieform.elements[21].value=""
                return true
        }
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.pacieform.elements[row].value)-1
if(document.pacieform.elements[row+1].value !="")
if(document.pacieform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.pacieform.elements[nhd+i*ncd+j].value=document.pacieform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.pacieform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.pacieform.elements[nhd+i*ncd+j].value=document.pacieform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.pacieform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.pacieform.elements[i].value=""
	if(document.pacieform.elements[i].type=="checkbox")
		document.pacieform.elements[i].checked=false
}
document.pacieform.elements[i++].disabled=false
document.pacieform.elements[i++].disabled=true
document.pacieform.elements[0].readOnly=false
tp=0
for (j=i;j< document.pacieform.elements.length;j++)
if(document.pacieform.elements[j].type=="text") document.pacieform.elements[j].value=""
swapout()
}
function clr(x)
{
                //fren=document.pacieform.elements[15].value
		a=fren.split("/")
		k=0
		a[1]++
		if(a[1] >12)  { a[1]=1;a[2]++}
		if(a[1]==1 || a[1]==3||a[1]==5 || a[1]==7 || a[1]==8 || a[1]==10 || a[1]==12) k=1
		if(a[1]==2) k=-1
		//alert(a[1]+ " " + k)
		if(a[0]==29 && a[1]==2 && a[2]%4!=0) { a[0]="01" ; a[1]++ ;k=1} 
		if(a[0]==30 && a[1]==2) { a[0]="01" ; a[1]++ } 
		if(a[0]==31 && (a[1]==2||a[1]==4||a[1]==6||a[1]==9||a[1]==11)) {a[0]="01";a[1]++} 
		if(a[1]+0 <10) a[1]="0" + a[1]
		//alert(k)
		//fren=a[0]+"/"+ a[1]+"/"+ a[2]
                swapin()
                for(i=0;i<nrd;i++) for (j=3;j<ncd;j++) if(j<10) 
                document.pacieform.elements[nhd+i*ncd+j].value= document.pacieform.elements[nhd+i*ncd+j+rd-1].value
                else document.pacieform.elements[nhd+i*ncd+j].value= ""
                swapout()
                document.pacieform.elements[15].value=fren
		calen(fren)
		sesion(18)
}
function program(x,y)
{
	row=nhd+nrd*ncd+y*(ncd+1)+2
	y=document.pacieform.elements[row].value
	row++
	mx=document.pacieform.elements[row].value
	if(mx=="EX") mx=1
	prc=0
	for (i=1;i<rd;i++)
	{
		str=document.pacieform.elements[row+i].value
		if(str.substr(0,1)=="P") prc++
	}
	if(x.value=="" && mx >= prc)
	{
		if(y=="01") x.value="PD"
		else if(y=="02") x.value="PA"
		else x.value="PT"
	}
	else if(x.value=="PT" || x.value=="PD" || x.value=="PA") { x.value="NR";prc--}
	else  x.value=""
	if (mx == prc)
	{
		str=x.name
		if(str.substr(10,2)<rd+2)
		{
			x.value=""
			notif.play()
			alert("                                   ALERTA!!!\n\nDEBE SOLICITAR AUMENTO DE PRESTACIONES!!!")
		}
	}
}

